FROM debian:stable-slim
RUN apt-get update && apt-get install -y locales && rm -rf /var/lib/apt/lists/* \
    && localedef -i en_US -c -f UTF-8 -A /usr/share/locale/locale.alias en_US.UTF-8
ENV LANG=en_US.utf8
RUN apt-get update && apt-get install -y cmake g++ git libsodium-dev
WORKDIR /soft
RUN git clone --depth 1 https://git.shstk.ru/SHS/pip.git && cd /soft/build && cmake -DICU=0 ../pip && make install -j4 && cd /soft && rm -rf ./*
